
Smart Proxy - Bug #19596

"Connection refused - recvfrom(2)" error when building new host

05/19/2017 07:17 AM - tarak sinha

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.11.4

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

HI,

I am unable to launch new host, smproxy is running on 11.4 ver, getting below error., Let me know how to fix this issue

tail f /var/log/foreman-proxy/proxy.log

E, [2017-05-19T04:01:43.234565 #22026] ERROR - : Connection refused - recvfrom(2)

E, [2017-05-19T04:08:09.241089 #22026] ERROR -- : Connection refused - recvfrom(2)

E, [2017-05-19T04:11:24.458295 #22026] ERROR -- : Connection refused - recvfrom(2)

E, [2017-05-19T04:11:52.912942 #22026] ERROR -- : Connection refused - recvfrom(2)

Thanks,

Tarak

History

#1 - 05/19/2017 07:20 AM - Dominic Cleal

- Project changed from Foreman to Smart Proxy

- Subject changed from smproxy failing- Unable to build new host to "Connection refused - recvfrom(2)" error when building new host

- Category deleted (DNS)

- Status changed from New to Need more information

- Priority changed from Immediate to Normal

- Difficulty deleted (hard)

Version 1.11.4 is no longer supported, please try to reproduce the issue on 1.15.0.

Please include the full DEBUG level log from the smart proxy, set the log level in /etc/foreman-proxy/setings.yml.

How did you determine this was DNS-related?

#2 - 05/19/2017 12:44 PM - tarak sinha

Dominic Cleal wrote:

Version 1.11.4 is no longer supported, please try to reproduce the issue on 1.15.0.

Please include the full DEBUG level log from the smart proxy, set the log level in /etc/foreman-proxy/setings.yml.

How did you determine this was DNS-related?

 Hi Dominic,

Thanks for reply, I have mentioned Log from proxy.log, Foreman and Puppet server is running individually. after upgrade from 1.9 to 1.11.4

smartproxy ver having below issue.
tail f /var/log/foreman-proxy/proxy.log

/usr/share/foreman-proxy/lib/launcher.rb:136:in `launch'

/usr/share/foreman-proxy/lib/launcher.rb:136:in `initialize'

/usr/share/foreman-proxy/lib/launcher.rb:136:in `new'

/usr/share/foreman-proxy/lib/launcher.rb:136:in `launch'

/usr/share/foreman-proxy/bin/smart-proxy:6

I, [2017-05-19T08:04:20.617361 #23463]  INFO - : 10.229.67.12 - - [19/May/2017 08:04:20] "POST / HTTP/1.1" 400 32 0.0790

D, [2017-05-19T08:04:20.659999 #23463] DEBUG -- : close: 10.229.67.12:54536

E, [2017-05-19T09:36:12.397267 #3429] ERROR -- : Couldn't enable plugin puppet: Gem loading error: no such file to load -- puppet

E, [2017-05-19T09:36:22.348570 #3454] ERROR -- : Couldn't enable plugin puppet: Gem loading error: no such file to load -- puppet

#3 - 05/19/2017 12:50 PM - Anonymous

Version 1.11 isn't supported anymore. Please try to reproduce the issue in version 1.15. Also, when providing log snippets, please provide all relevant

log file entries, not just the last 10 lines of the log.

#4 - 05/20/2017 09:05 AM - Anonymous

- Status changed from Need more information to Rejected

also see #19609
